Get Resources Using Credential

Get Resources Using Credential
Get the Objects using the Credential Instance

Gets the Objects using the Credential Instance specified by the identifier.

Request
URI
GET
https://{api_host}/suite-api/api/credentials/{id}/resources
COPY
Path Parameters
string
id
Required

The identifier of the specific Credential Instance

Query Parameters
integer
page
Optional
Constraints: default: 0

Page number from which data needs to be displayed (0-based)

integer
pageSize
Optional
Constraints: default: 1000

Expected number of entries per page


Authentication
This operation uses the following authentication methods.
Responses
200

A list of Objects using the Credential Instance

Returns resources of type(s) application/json
"No Custom Example is Available"
array of object
links
Optional

Collection of links

object
pageInfo
Optional

Represents page information for a paged result

array of object
resourceList
Optional

The Collection of Resources


404

The Credential Instance does not exist

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/credentials/{id}/resources